eclipse安装问题,总是出现这种状况的原因是什么?

图片说明
就是图片显示的内容,环境配置好了,但是安装eclipse就会出现这种问题啊,求解答

3个回答

可能是你的jdk 版本和eclipse的版本冲突,一个32位一个64位

junfeng19950206
junfeng.si 确实是JDK问题,谢谢,解决了,当我安装64位JDK时候,根据java -version查看还是我以前的JDK,删除掉我以前安装的JDK,就可以了
大约 4 年之前 回复
junfeng19950206
junfeng.si 不应该啊,我JDK跟eclipse都下64位的啊。
大约 4 年之前 回复

一般这种情况就是给eclipse分配的内存不够大造成的,但我看你都给2014m了,应该够用的呀,你尝试把内存再调大点试试。。。

junfeng19950206
junfeng.si 谢谢,解决了,当我安装64位JDK时候,根据java -version查看还是我以前的JDK,删除掉我以前安装的JDK,就可以了
大约 4 年之前 回复
junfeng19950206
junfeng.si -startup plugins/org.eclipse.equinox.launcher_1.3.100.v20150511-1540.jar --launcher.library plugins/org.eclipse.equinox.launcher.win32.win32.x86_64_1.1.300.v20150602-1417 -product org.eclipse.epp.package.jee.product --launcher.defaultAction openFile --launcher.XXMaxPermSize 256M -showsplash org.eclipse.platform --launcher.XXMaxPermSize 256m --launcher.defaultAction openFile --launcher.appendVmargs -vmargs -Dosgi.requiredJavaVersion=1.7 -Xms256m -Xmx1024m这是我的配置文件
大约 4 年之前 回复
junfeng19950206
junfeng.si 我知道在eclipse.ini中修改,但是我不知道改修改那个。。。
大约 4 年之前 回复

图片说明
eclipse.ini文件中的-Xms -Xms,楼上说的也对,你的jdk是64位的吗?

liuxianyanhn126
liuxianyanhn126 对,检查jdk版本和eclipse是否不匹配
大约 4 年之前 回复
junfeng19950206
junfeng.si 谢谢,解决了,确实是JDK问题,当我安装64位JDK时候,根据java -version查看还是我以前的JDK,删除掉我以前安装的JDK,就可以了
大约 4 年之前 回复
junfeng19950206
junfeng.si 是64位的啊,我刚刚安装的啊,就是不知道以前是不是下载过32位的,不过配置环境的时候我都是按照刚刚的安装的JDK配置的啊
大约 4 年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问
相关内容推荐